Bug 1739010 - seafile depends on Python 2
Summary: seafile depends on Python 2
Keywords:
Status: CLOSED DUPLICATE of bug 1777639
Alias: None
Product: Fedora
Classification: Fedora
Component: seafile
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Julien Enselme
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1777621 1777632 1738017 1738915
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-08 12:19 UTC by Lumír Balhar
Modified: 2019-11-28 01:21 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-28 01:21:26 UTC


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-08 12:19:30 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for seafile's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to seafile.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Ben Cotton 2019-08-13 16:54:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 17:27:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Lumír Balhar 2019-08-16 08:48:37 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 4 Julien Enselme 2019-08-21 14:32:48 UTC
1. The software is partially written in Python.
2. Port to Python 3 is planed in 2019: https://github.com/haiwen/seafile/issues/2112 (no news on this thought, I know work is being done for a dependency. See https://bugzilla.redhat.com/show_bug.cgi?id=1738017)
3. I am tracking the issue. I think we should wait for the upstream work to be completed.

Comment 5 Petr Viktorin 2019-08-21 15:21:44 UTC
The current plan is to remove packages with dependency on Python 2 from Fedora 32 in the middle of November 2019.

So, if it starts looking like this won't be done by mid-November:
- please let us know ASAP, so we can help with getting a FESCo exception for seafile
- review the dependencies to make sure their maintainers keep Python 2 support for you. We track transitive python2 dependencies at: https://fedora.portingdb.xyz/pkg/seafile/

Comment 6 Carl-Daniel Hailfinger 2019-10-22 11:43:07 UTC
Upstream master repositories of Seafile and its dependencies seem to have Python 3 support now. There is no release containing Python 3 support yet, but for testing purposes it should be possible to build everything with Python 3 from the respective master branches.
https://forum.seafile.com/t/python-3-support/968/14

The Seafile roadmap states that a release with Python 3 support will come in December 2019: https://www.seafile.com/en/roadmap/

Comment 7 Petr Viktorin 2019-10-24 11:53:01 UTC
It seems the upstream developers are asking to package master branches in Fedora: https://github.com/haiwen/seafile/issues/2112#issuecomment-543904599

Do you need any help with that?

Comment 8 Carl-Daniel Hailfinger 2019-10-24 22:33:34 UTC
@Petr Viktorin: I suggested packaging the master branch, but I'm not an upstream developer, just a user. My apologies if my request was unclear.

Comment 9 Petr Viktorin 2019-10-29 09:35:44 UTC
I see.

The alternative is to get an exception for keeping seafile on Python 2 longer.
If you want to do that, check with maintainers of all the Python 2 dependencies and see what the plan is. The default is to remove Python 2 support mid-November.
The Python 2 dependencies for seafile are:

      libsearpc:
          python-simplejson:
              python-nose:
                  python-coverage
              python2-setuptools (see https://bugzilla.redhat.com/show_bug.cgi?id=1747850)
          pygobject2 (has an exception already)
      ccnet:
          libsearpc

If you want to go this way, there's about half a month left to coordinate this. Do you need help with that?

Comment 10 Julien Enselme 2019-10-29 15:07:53 UTC
Hi,

I saw the notification on Seafile side's. I've been quite busy lately. I may have time to look into this this week-end but I'm not sure. I'll keep you posted on that by Monday.

Comment 11 Julien Enselme 2019-11-03 13:26:04 UTC
I still have an issue with ccnet: https://github.com/haiwen/seafile/issues/2112#issuecomment-549129564

libsearcp and seafile are compatible with Python 3. I started the packaging work here: https://copr.fedorainfracloud.org/coprs/jujens/seafile-python3/ I have some issues with seafile. I pingued on the issue.

Comment 12 Miro Hrončok 2019-11-28 01:21:26 UTC

*** This bug has been marked as a duplicate of bug 1777639 ***


Note You need to log in before you can comment on or make changes to this bug.